## pyqwt3d 0.1.6

=== Doc/Makefile ===
MKHOWTO := $(HOME)/CVS/PyQwt/BUILD/Python-2.5.1/Doc/tools/mkhowto

SOURCES := \
	pyqwt3d/configure.help \
	pyqwt3d/copyright.tex \
	pyqwt3d/pyqwt3d.tex


doc: $(SOURCES)
	if [ ! -e html/pyqwt3d ]; then mkdir html/pyqwt3d; fi
	(cd html/pyqwt3d; rm -f *.css *.dat *.html *.idx *.old *.pl *.gif)
	cp -p html/icons/*.png html/pyqwt3d
	python $(MKHOWTO) --html --dir html/pyqwt3d \
	    --image-type png --favicon pyfav.png \
	    --up-link http://pyqwt.sourceforge.net --up-title "PyQwt Home" \
	    pyqwt3d/pyqwt3d.tex
	(cd html/pyqwt3d; rm -f *.dat *.idx *.old *.pl *.gif)
	python nospam.py html/pyqwt3d/*.html
	date -u "+%Y-%m-%d %T" > doc

htdoc: doc $(SOURCES)
	if [ ! -e html/htdoc ]; then mkdir html/htdoc; fi
	(cd html/htdoc; rm -f *.css *.dat *.html *.idx *.old *.pl *.gif)
	cp -pr html/pyqwt3d/* html/htdoc
	python sourceforge.py html/htdoc/*.html
	date -u "+%Y-%m-%d %T" > htdoc

pyqwt3d/configure.help: ../configure/configure.py
	python ../configure/configure.py --help > pyqwt3d/configure.help

# EOF

## pyqwt3d 0.1.7~cvs20090625

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MKHOWTO := $(HOME)/CVS/PyQwt/BUILD/Python-2.5.1/Doc/tools/mkhowto
+MKHOWTO := $(HOME)/CVS/PyQwt/BUILD/Python-2.5.2/Doc/tools/mkhowto
 
 SOURCES := \
 	pyqwt3d/configure.help \

=== debian/changelog ===
pyqwt3d (0.1.7~cvs20090625-12build1) trusty; urgency=medium

  * No-change rebuild against sip 4.15.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 22 Mar 2014 15:05:57 +0400

pyqwt3d (0.1.7~cvs20090625-12) unstable; urgency=medium

  * Binary rebuild, no change. Fixes segmentation fault.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 02 Jan 2014 17:42:23 +0100

pyqwt3d (0.1.7~cvs20090625-11) unstable; urgency=low

  * Removing -lz from configure and zlib1g-dev dependency
  * Removing -lGLU from configure (Closes: #676500)
  * Bump standards version to 3.9.4
  * Add binary dependency on python-qwt5-qt4

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 18 May 2013 22:18:47 +0200

pyqwt3d (0.1.7~cvs20090625-10) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * Add missing build-depends on zlib1g-dev to fix FTBFS (Closes: #70879)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 May 2013 15:51:17 -0400

pyqwt3d (0.1.7~cvs20090625-9) unstable; urgency=low

  [ Jakub Wilk ]
  * Add epoch to python-numpy version in Build-Depends.

  [ Gudjon I. Gudjonsson ]
  * Bump standards version to 3.9.3
  * Add -lGLU to configure.py command line

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 13 May 2012 09:58:59 +0200

pyqwt3d (0.1.7~cvs20090625-8) unstable; urgency=low

  * Add dependency on python-numpy (Closes: #641795)
  * Add build-arch and indep targets

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 15 Nov 2011 06:51:06 +0100

pyqwt3d (0.1.7~cvs20090625-7) unstable; urgency=low

  * Switch to dh_python2 (Closes: #634863)
  * Bump standards version to 3.9.2
  * Upgraded dependencies
  * Add X-Python-Version
  * Change (C) to © in copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 14 Aug 2011 20:21:54 +0200

pyqwt3d (0.1.7~cvs20090625-6) unstable; urgency=low

  * Remove dependency on python-qt-dev

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 25 Mar 2011 09:34:10 +0100

pyqwt3d (0.1.7~cvs20090625-5) unstable; urgency=low

  * Remove qt3 support (Closes: #604372)
  * Switch from dpatch to quilt. Rewrite all patches
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 26 Feb 2011 22:12:06 +0100

pyqwt3d (0.1.7~cvs20090625-4) unstable; urgency=low

  * Fix sip version (Closes: #567227)
  * Bump standards version to 3.8.4
  * Add patch 04_fix_sip4.10 to fix compilation with sip4.10
  * Add misc depends to python-qwt3d-doc
  * Removed pyqt version fix

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 07 Feb 2010 18:06:19 +0100

pyqwt3d (0.1.7~cvs20090625-3) unstable; urgency=low

  * Reubild in order to change binary dependencies from
    libqwtplot3d-qt{3,4} to libqwtplot3d-qt{3,4}-0
    according to name change in qwtplot3d package

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 22 Nov 2009 23:57:36 +0100

pyqwt3d (0.1.7~cvs20090625-2) unstable; urgency=low

  * Change sip4 dependencies to >=4.9
  * Add binary dependency on python-sip4 >=4.9
  * Bump standards version to 3.8.3, no changes needed
  * Add README.source file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Nov 2009 12:54:42 +0100

pyqwt3d (0.1.7~cvs20090625-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New CVS version
    - Builds from source (Closes: #527662)
  * Add patch 03_fix_const_char
  * Upgrade build dependencies to sip4 (4.8.1)
  * Bump Standards-Version to 3.8.2 (no changes needed)
  * Hardcode DEB_UPSTREAM_VERSION, change in next release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * Replace python-central by python-support to follow the change in
    python-qt4. This would not be an issue if python-central would
    create namespace packages properly. We should not need to
    change the build-dependency on python-qt4 as python-support should
    handle it for all versions in a sane way.
  * Depend on python-qtX-gl larger or equal than the version the package
    was built against.
  * Bump Standards-Version to 3.8.1, no changes needed.

  [ Piotr Ożarowski ]
  * Add get-orig-source rule
  * Prepare for Python 2.6: dh_install now recognizes files in
    /usr/local/*/dist-packages/ as well
  * Add preinst maintainer scipts in -qt3 and -qt4 packages

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 27 Jun 2009 16:18:13 +0200

pyqwt3d (0.1.6-2) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * Add dependency on libqt4-opengl-dev (Closes: #482233)
  * Bump Standards-Version to 3.7.3 (no changes needed)

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 May 2008 00:06:00 +0200

pyqwt3d (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Needs libqwtplot3d (>=0.2.7+svn191) that includes patches from Gerard.
  * Added some minor notes to the copyright file.
  * Added a patch to fix ezplot.py and set its ownership to 644.
  * Homepage field added
  * Add python-qt{3,4}-gl to python-qwt3d-qt{3,4}'s Depends and python-numpy
    to Recommends
  * Build-depend on python-sip4-dev >= 4.7.1-1 (closes: #442971)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 30 Sep 2007 12:47:35 +0200

pyqwt3d (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #413355)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 14 Jun 2007 22:49:54 +0200

=== debian/control ===
Source: pyqwt3d
Section: python
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python-all-dev (>= 2.6.6-3),
 python-sip-dev, python-numpy (>= 1:1.0.2), libqt4-opengl-dev,
 python-qt4-dev (>= 4.8.3-3), python-qt4 (>= 4.8.3-3), python-qt4-gl (>= 4.5.1),
 libqwtplot3d-qt4-dev
Homepage: http://pyqwt.sourceforge.net/
Standards-Version: 3.9.4
X-Python-Version: >= 2.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyqwt3d/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyqwt3d/trunk/

Package: python-qwt3d-qt4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sip:Depends},
 python-qt4-gl, python-numpy, python-qwt5-qt4
Description: Python bindings of the QwtPlot3D library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data.
 .
 This package contains the Qt4 Python bindings

Package: python-qwt3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for the Python-qwt3d library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data. This package contains documentation and
 examples for both Qt3 and Qt4. The  examples show how easy it is
 to make a 3D plot and how to save a 3D plot to an image or an
 (E)PS/PDF file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS	:= $(shell pyversions -vr)
CURDIR  := $(shell pwd)
QTS=4

py_qt_version = $(shell dpkg -s python-qt$(strip $(1))-gl | grep '^Version' | sed 's,Version: \(.*\)-[^-]*$$,\1,')

#DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEB_UPSTREAM_VERSION=0.1.7
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod 644 qt4lib/PyQt4/Qwt3D/ezplot.py
	for pyvers in ${PYTHONS};\
	do\
		for qtvers in ${QTS};\
		do\
			export QTDIR=/usr/share/qt$$qtvers;\
			mkdir -p build/py$$pyvers-qt$$qtvers;\
			cp -Rl `ls . |grep -v build|grep -v debian` build/py$$pyvers-qt$$qtvers;\
			(cd build/py$$pyvers-qt$$qtvers/configure;\
			python$$pyvers configure.py -$$qtvers -I /usr/include/qwtplot3d-qt$$qtvers --extra-libs=qwtplot3d-qt$$qtvers -D GL2PS_HAVE_ZLIB);\
		done;\
	done
	touch $@

build: build-arch build-indep
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
	dh_testdir
	for pyvers in ${PYTHONS};\
	do\
		for qtvers in ${QTS};\
		do\
			export QTDIR=/usr/share/qt$$qtvers;\
			(cd build/py$$pyvers-qt$$qtvers/configure;\
			$(MAKE));\
		done;\
	done
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	for pyvers in ${PYTHONS};\
	do\
		for qtvers in ${QTS};\
		do\
			export QTDIR=/usr/share/qt$$qtvers;\
			(cd build/py$$pyvers-qt$$qtvers/configure;\
			$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
		done;\
	done
	mkdir -p debian/tmp/usr/share/doc/python-qwt3d-doc/
	cp -a qt4examples debian/tmp/usr/share/doc/python-qwt3d-doc/
	cp -a Doc/html debian/tmp/usr/share/doc/python-qwt3d-doc/

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ANNOUNCEMENT-$(DEB_UPSTREAM_VERSION).TXT
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i --exclude=.py --exclude=.resX
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ANNOUNCEMENT-$(DEB_UPSTREAM_VERSION).TXT
	dh_installdocs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a
	dh_compress -a --exclude=.cpp --exclude=.h --exclude=.resX
	#echo 'python-qt4-gl:Depends=python-qt4-gl (>= $(call py_qt_version, 4))' >> debian/python-qwt3d-qt4.substvars
	dh_numpy -a
	dh_python2 -a
	dh_sip -a
	dh_installdeb -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	REV_DATE=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*cvs([0-9]+).*,\1,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	if [ x$$REV_DATE = x ]; then \
	 uscan --force-download --rename --download-version=$$VER --destdir=.; \
	else \
	 cvs -rQz5 -d:pserver:anonymous@pyqwt.cvs.sourceforge.net:/cvsroot/pyqwt export \
	 	-D $$REV_DATE -d pyqwt3d-$$VER~cvs$$REV_DATE pyqwt3d && (\
	 find pyqwt3d-$$VER~cvs$$REV_DATE -name .cvsignore -type f -delete; \
         tar -zcf ./pyqwt3d_$$VER~cvs$$REV_DATE.orig.tar.gz pyqwt3d-$$VER~cvs$$REV_DATE; \
	 rm -rf pyqwt3d-$$VER~cvs$$REV_DATE); \
	fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyqwt/PyQwt3D-(.*)\.tar\.gz debian uupdate

## pyqwt3d 0.1.8

=== examples/Makefile ===
html:
	python py2html.py *.py

=== debian/changelog ===
pyqwt3d (0.1.8-5build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:14 +0100

pyqwt3d (0.1.8-5build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:42:26 +0000

pyqwt3d (0.1.8-5) unstable; urgency=medium

  * Add patch for fixing FTBFS with sip >= 4.19.14 (Closes: #924733)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 18 Mar 2019 06:55:14 +0100

pyqwt3d (0.1.8-4) unstable; urgency=medium

  * Add -Wno-narrowing to OpenGL makefile, fixes FTBFS.
    Thanks to Christian Seiler (Closes: #918680)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 09 Jan 2019 06:55:28 +0100

pyqwt3d (0.1.8-3) unstable; urgency=medium

  * Remove hardcoding of qt_inc_dir with 01_configure patch,
    fixes FTBFS (Closes: #916293)
  * Bump standards version to 4.3.0, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 07 Jan 2019 13:42:59 +0100

pyqwt3d (0.1.8-2) unstable; urgency=medium

  * Add support for all python3 versions
  * Add conflicts/replaces obsolete python-qwt3d-qt4
  * Fix watch file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 16 Oct 2018 21:09:55 +0200

pyqwt3d (0.1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Gudjon I. Gudjonsson ]
  * New upstream source (Closes: #812138)
  * Bump standards version to 4.2.1
  * Add python3-qwt3d-qt5 package
  * Bump compat to 11
  * Remove Qt4/python2 version (Closes: #699032, #875116)
  * Add Qt5/python3 version
  * Remove get-orig-source from rules
  * Update watch file to point to new upstream
  * Add dependencies on qt5 and pyqt5 packages

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 14 Sep 2018 22:04:21 +0200

pyqwt3d (0.1.7~cvs20090625-13) unstable; urgency=medium

  * Update patch 04_fix_sip4.10.patch to fix compilation (Closes: #751057)
  * Bump standards version to 3.9.5, no changes

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 30 Jun 2014 07:51:06 +0000

=== debian/control ===
Source: pyqwt3d
Section: python
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>=11~),
               dh-python,
               python3-all-dev,
               python3-pyqt5,
               python3-sip-dev,
               python3-pyqt5.qtopengl,
               python3-numpy (>= 1:1.0.2),
               pyqt5-dev,
               qt5-qmake,
               qtchooser,
               qtbase5-dev,
               libqt5opengl5-dev,
               libqwtplot3d-qt5-dev
Homepage: https://github.com/GauiStori/PyQwt3D
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/python-team/modules/pyqwt3d.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyqwt3d

Package: python3-qwt3d-qt5
Conflicts: python-qwt3d-qt4
Replaces: python-qwt3d-qt4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${sip3:Depends},
         python3-pyqt5.qtopengl,
         python3-numpy
Description: Python bindings of the QwtPlot3D library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data.
 .
 This package contains the Python3 Qt5 bindings

Package: python-qwt3d-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for the Python-qwt3d library
 PyQwt3D is a set of Python bindings for the QwtPlot3D C++ class
 library which extends the Qt framework with widgets to visualize
 3-dimensional data. This package contains documentation and
 examples for both Qt3 and Qt4. The  examples show how easy it is
 to make a 3D plot and how to save a 3D plot to an image or an
 (E)PS/PDF file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY3VERS := $(shell py3versions -vs)
CURDIR  := $(shell pwd)
py_qt_version = $(shell dpkg -s python-qt$(strip $(1))-gl | grep '^Version' | sed 's,Version: \(.*\)-[^-]*$$,\1,')

#DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEB_UPSTREAM_VERSION=0.1.8

export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,-fortify
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)   $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed


configure: configure-stamp
configure-stamp:
	dh_testdir
	export QTDIR=/usr/share/qt5
	set -e ;\
	for py in $(PY3VERS) ; do \
		mkdir -p build/py$$py-qt5; \
		cp -Rl `ls . |grep -v build|grep -v debian` build/py$$py-qt5; \
		(cd build/py$$py-qt5/configure;\
		python$$py configure-qt5.py -5 -I /usr/include/qwtplot3d --extra-libs=qwtplot3d-qt5 -D GL2PS_HAVE_ZLIB); \
	done
	touch $@

build: build-arch build-indep
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	export QTDIR=/usr/share/qt5
	set -e ;\
	for py in $(PY3VERS) ; do \
		mkdir -p build/py$$py-qt5; \
		cp -Rl `ls . |grep -v build|grep -v debian` build/py$$py-qt5; \
		(cd build/py$$py-qt5/configure && $(MAKE)); \
	done
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	export QTDIR=/usr/share/qt5
	set -e ;\
	for py in $(PY3VERS) ; do \
		mkdir -p build/py$$py-qt5; \
		cp -Rl `ls . |grep -v build|grep -v debian` build/py$$py-qt5; \
		(cd build/py$$py-qt5/configure && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install); \
	done
	mkdir -p debian/tmp/usr/share/doc/python-qwt3d-doc/
	cp -a qt5examples debian/tmp/usr/share/doc/python-qwt3d-doc/
	cp -a Doc/html debian/tmp/usr/share/doc/python-qwt3d-doc/

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i #ANNOUNCEMENT-$(DEB_UPSTREAM_VERSION).TXT
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i --exclude=.py --exclude=.resX
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a #ANNOUNCEMENT-$(DEB_UPSTREAM_VERSION).TXT
	dh_installdocs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a --no-automatic-dbgsym
	dh_compress -a --exclude=.cpp --exclude=.h --exclude=.resX
	dh_python3 -a
	dh_sip3 -a
	dh_installdeb -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
